KDE 4.3 PyKDE API Reference

- KDE's Python API

# GeoDataPolygon Class Reference

`from PyKDE4.marble import *`

Inherits: Marble.GeoDataGeometry → Marble.GeoDataObject → Marble.GeoNode
Subclasses: Marble.GeoDataInnerBoundary, Marble.GeoDataOuterBoundary
Namespace: Marble

## Detailed Description

A class that defines a closed, contiguous set of line segments. In addition to a LineString the Polygon can contain "holes"

Also known as: Polygon

GeoDataPolygon consists of GeoDataCoordinates connected through line segments. For convenience and performance we've added special methods to calculate the smallest GeoDataLatLonAltBox that contains the GeoDataPolygon.

## Methods

| __init__ (self, Marble.TessellationFlags f=Marble.Tessellate)
| __init__ (self, Marble.GeoDataGeometry other)
| appendInnerBoundary (self, Marble.GeoDataLinearRing boundary)
QVector<Marble::GeoDataLinearRing> | innerBoundaries (self)
bool | isClosed (self)
Marble.GeoDataLatLonAltBox | latLonAltBox (self)
Marble.GeoDataLinearRing | outerBoundary (self)
Marble.GeoDataPolygonPrivate | p (self)
| pack (self, QDataStream stream)
| setOuterBoundary (self, Marble.GeoDataLinearRing boundary)
| setTessellate (self, bool tessellate)
| setTessellationFlags (self, Marble.TessellationFlags f)
bool | tessellate (self)
Marble.TessellationFlags | tessellationFlags (self)
| unpack (self, QDataStream stream)

## Method Documentation

__init__ | ( | self, |
|  | Marble.TessellationFlags | f=Marble.Tessellate
| ) |  |  |

__init__ | ( | self, |
|  | Marble.GeoDataGeometry | other
| ) |  |  |

appendInnerBoundary | ( | self, |
|  | Marble.GeoDataLinearRing | boundary
| ) |  |  |

QVector<Marble::GeoDataLinearRing> innerBoundaries | ( |  | self ) |

bool isClosed | ( |  | self ) |

Marble.GeoDataLatLonAltBox latLonAltBox | ( |  | self ) |

Marble.GeoDataLinearRing outerBoundary | ( |  | self ) |

Marble.GeoDataPolygonPrivate p | ( |  | self ) |

pack | ( | self, |
|  | QDataStream | stream
| ) |  |  |

Serialize the contents of the feature to stream.

setOuterBoundary | ( | self, |
|  | Marble.GeoDataLinearRing | boundary
| ) |  |  |

setTessellate | ( | self, |
|  | bool | tessellate
| ) |  |  |

setTessellationFlags | ( | self, |
|  | Marble.TessellationFlags | f
| ) |  |  |

bool tessellate | ( |  | self ) |

Marble.TessellationFlags tessellationFlags | ( |  | self ) |

unpack | ( | self, |
|  | QDataStream | stream
| ) |  |  |

Unserialize the contents of the feature from stream.